<?php
/**
 * Created by PhpStorm.
 * User: qiuzijian
 * Date: 2021-05-18
 * Time: 15:09
 */

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Redis;
use Modules\Camera\Entities\CameraList;
use Modules\Camera\Enum\CameraEnum;
use Modules\Camera\Http\Controllers\Api\HaiKangController;
use Modules\Camera\Jobs\CameraDownload;
use Modules\Camera\Services\CameraServices;
use Modules\Mine\Entities\MineListExt;
use Modules\Mine\Services\MineServices;

class TestsController {

    public function test()
    {
        $query = MineListExt::where('mine_id', 9)->first();

        Input::replace(
            [
                'url'       => trim($query->ip, '/') . ':' . $query->port,
                'key'       => $query->key,
                'secret'    => $query->secret,
                'indexCode' => '0e3a70a1-6f76-4eb7-9f65-c5ea630c0357',
            ]
        );
        $haikang   = new HaiKangController();
        $result_hk = $haikang->getTest();
        dd($result_hk);
    }
}